Changelog
=========

2.4b3 (2012-06-25)
------------------

- backward compatible way to use Collection(4.2)
  [vangheem]

2.4b2 (2012-06-21)
------------------

- Plone 4.1 conditional zcml[Mikko]


2.4b1 (2012-06-19)
------------------

- respect limiting number of items for collections[vangheem]

- add supersized gallery[espen]

- Added Basque (eu) translation [erral]

- Regenerated i18n files [erral]

- Fixed some i18n issues removing duplicated msgids [erral]

- added more settings for contactsheet and modified contactsheet to
  use "speed" setting for how long time the effect takes. Is is now
  possible to use thumbnail sizes [espen]

- added more settings for thumbnailzoom [espen]

- added custom css settings for s3slider [espen]

- Add ability to have default settings control panel[espen]

- Add ability to have default settings control panel[espen]

- fixed Thumbnailzoom, Contactsheet and Presentation to use Batch Size setting. 

- compatible with new-style collections[vangheem]


2.3.1 (2012-05-11)
------------------

- place gallery iframe fixes
  [espen]


2.3.0b2 (2012-05-11)
--------------------

- style fixes
  [vangheem]

- portlet fixes
  [vangheem]


2.3.0b1 (2012-05-09)
--------------------

- Added settings for background position for presentation gallery type
  [espen]

- move collection text field rendering to below gallery
  [vangheem]

- add content flow display type
  [vangheem]


2.2.0 (2012-05-02)
------------------

- Add presentation display type.
  [vangheem]

2.1b2 (2012-04-27)
------------------

- be able to position overlay controls of highslide gallery
  [domruf]


2.1b1 (2012-04-24)
------------------

- add contact sheet and thumbnail zoom gallery
  [espen]


2.1a2 (2012-02-28)
------------------

- more nivo slider themes
  [espen]


2.1a1 (2012-02-24)
------------------

- nivo slider and gallery integration
  [espen]

- Products.Collage integration(taken from collective.collage.plonetruegallery)
  [vangheem]


2.0a2 (2012-02-22)
------------------

- allow you to place full gallery in portlet
  [vangheem]

- added option for background color for pikachoose
  [espen]


2.0a1 (2012-02-22)
------------------

- Remove Slideshow 2 display type
  (depends on mootools and has loads of conflicts)
  [vangheem]

- switch to using collective.js.galleriffic
  [vangheem]

- switch to using collective.js.highslide
  [vangheem]

- switch to using collective.js.fancybox
  [vangheem]

- finally remove remains to gallery content type. Can not
  upgrade directly to this product version now.
  [vangheem]

- fix error with unicode-titled images
  [silviot]

- added pikachoose support
  [espen]

- added s3slider support
  [espen]


1.3.3 (2011-09-28)
------------------

- fix placegalleryview
  [vangheem]

- fix highslide gallery not auto-playing
  when pagination is enabled.
  [vangheem]


1.3.2 (2011-09-20)
------------------

- set thumbnail height on galleriffic


1.3.1 (2011-09-20)
------------------

- fix size and scale problems with galleriffic


1.3.0 (2011-09-20)
------------------

- no longer use silly unique zcml to register
  display types

- Add Galleriffic slideshow display type

- Change the way the display types are used so
  that they can now be customized through
  portal_view_customizations
  

1.2.1 (2011-07-06)
------------------

- add translation for pt_BR
  [rafabazzanella]

1.2.0 (2011-06-30)
------------------

- Add option to set size for thumbnail images. 
  TODO: Take available scales from plone.app.imaging
  (http://plone.org/products/plone-true-gallery/issues/48)
  [hink]

1.1.0 ~ (2011-06-22)
--------------------

- fixes for Slideshow 2 in IE9
  If you're using custom styles for the Slideshow 2 gallery, please
  test this upgrade as some styling changes have been made.
  [vangheem]


1.0.5 ~ (2011-04-17)
--------------------

- fix plone 4.1 compatibility issue. Closes http://plone.org/products/plone-true-gallery/issues/45
  [vangheem]

- reference all css and js with absolute urls
  [vangheem]

- no longer server slideshow js from js registry
  [vangheem]


1.0.4 ~ (2011-03-14)
--------------------

- Add a Gallery Setting for Slideshow type to allow omitting the link to
  images. (https://plone.org/products/plone-true-gallery/issues/44)
  [khink]

1.0.3 ~ (2011-02-20)
--------------------

- remove the restriction on requiring picasa web album accounts to
  end with '@gmail.com'. Fixes http://plone.org/products/plone-true-gallery/issues/41
  [vangheem]
  

1.0.2 ~ (2011-01-12)
--------------------

- Enable re-use of view template macro. collective.collage.plonetruegallery 
  uses this.
  [khink]

1.0.1 ~ 2010-12-31
------------------

- added spanish translation
  [Enrique Perez Arnaud]

- use ViewPageTemplateFile since you can get UnicodeDecodeError with
  non-ascii characters in the title and description.
  [Enrique Perez Arnaud]

1.0
---

* fix picasa support on Plone 4


1.0rc2
------

* made the menuitem, the settings action and tabs translatable and added
  German translations.
  [fRiSi]

* move translation files to locales folder and added script to rebuild and
  sync the po(t) files and compile mo files
  (see http://plone.org/products/plone-true-gallery/issues/21)
  [fRiSi]

* select the random image for subgalleries out of the subgallery's images
  fixes http://plone.org/products/plone-true-gallery/issues/40
  [fRiSi]

1.0rc1
------

* Do not show "There are no images in this gallery" in case there are sub-galleries.
  [fRiSi]

* added a placeful layout for adding galleries through kupu and prettyphoto
  [espen]

* add description and text to rendered gallery page so people can have introductions to galleries
  [vangheem]

* add hide controls options for gallery portlet. closes http://plone.org/products/plone-true-gallery/issues/28
  [vangheem]

* fixed issue where portlets wouldn't work properly when there were more than one on
  a page. Fixes http://plone.org/products/plone-true-gallery/issues/27
  [vangheem]

* handle returns and quotes in descriptions. Fixes http://plone.org/products/plone-true-gallery/issues/39
  [vangheem]

* gallery portlet now sets title and alt attribute of anchor tag for image.
  fixes http://plone.org/products/plone-true-gallery/issues/37
  [vangheem]


0.9.1rc5
--------

* use plone.app.contentmenu.interfaces.IDisplayViewsMenu instead of plone_displayviews
  for menu declaration since it doesn't work with plone.app.contentmenu > 2.0b3
  and zope.browsermenu installed.
  [vangheem]

0.9.1rc4
--------

- import Batch directly from PloneBatch since with Zope 2.13 Batch is not
  available at the package level when plonetruegallery is loaded.
  [vangheem]


0.9.1rc3
--------

* made the basic gallery not store it's cached images since it would never be able to really
  cache them anyways. This fixes the zodb potentially growing forever on sites that use the
  gallery portlet since it needed to calculate the gallery on every new image request, which
  would cause a new write to the database. FYI, packing the database brings it back down to
  it's normal size.
  [vangheem]

0.9.1rc2
--------

* changed added large plone folder view to code since in Plone 4 it is no longer available.
  fixes http://plone.org/products/plone-true-gallery/issues/33
  [vangheem]

0.9.1rc1
--------

* Update to fancybox 1.3.1--should fix http://plone.org/products/plone-true-gallery/issues/19
  from showing up any longer
  [vangheem]

* added easing and scrolling plugins to fancybox so it's nicer now.
  [vangheem]



0.9.0b1
-------

* use getAllowedSizes from plone.app.imaging.utils instead
  [vangheem]

* fixed plone.app.imaging incompatibility with patches
  it uses--fixes http://plone.org/products/plone-true-gallery/issues/23
  [vangheem]

* fixed fancy box not showing correctly occasionally
  [vangheem]

* restructured display type code to be a little more compatible with templating.
  It was a little messy the way it was done before so it is now slightly
  less customizable for the sake of being more compatible and modular. If any
  gallery types were defined in the old fashion, they may no longer work without
  slight modification. That is what this is now tagged as a 0.9 release.
  [vangheem]

* compatible with cmf.pt now--Chameleon.
  [vangheem]

* gallery portlet now forces the height of the image so it doesn't flicker if
  for some reason the image hasn't finished loading yet.
  fixes http://plone.org/products/plone-true-gallery/issues/24
  [vangheem]

* added plone.app.z3cform as dependency profile
  fixes http://plone.org/products/plone-true-gallery/issues/25
  [vangheem]

* fixed css on gallery portlet to show title properly
  [vangheem]


0.8.2b4 ~ March 16
------------------

* annoying extra release since the previous one included extra
  "._" po files...
  [vangheem]


0.8.2b3 ~ March 10
------------------

* fixed gallery portlet js to work with Plone 4
  http://plone.org/products/plone-true-gallery/issues/18
  [vangheem]

* fixed max-width screwing up slideshow transition
  with some css
  [vangheem]

* gallery is now plone.app.imaging aware, reflecting
  sizes specified there.
  [vangheem]

* fixed translations not being added correctly
  [vangheem]

0.8.2b2 ~ February 10, 2010
---------------------------

* fixed page template traversal issue with plone 4 described here
  http://plone.org/products/plone-true-gallery/issues/17
  [vangheem]


0.8.2b1 ~ February 4, 2010
--------------------------

* Make compatible with Plone 4--fixes page template rendering and css issues
  [vangheem]


0.8.1b2 ~ January 27, 2010
--------------------------

* Adapting BasicImageInformationRetriever to IObjectManager does not work
  in Plone4 anymore. Use IBaseFolder instead which is also generic for
  ATFolder and ATBTreeFolder.
  [thet]

* Added Italian translation
  [Mirto Silvio Busico]

* Added z3c.autoinclude support--no more zcml entry in buildout on newer
  versions of plone.
  [vangheem]

* Override button apply method instead of __call__ method to set the status
  for user warning and to set setting changes. This fixes issue with
  newer version of plone.z3cform not showing updated status message.
  [vangheem]

* Added hashlib to list of install requires for picasa since some versions
  of gdata fail without it.
  [vangheem]


0.8.1b1 ~ December 17, 2009
---------------------------

* add german translation
  [jensens]

* add extra requires to setup.py: Now one can set as dependency
  "collective.plonetruegallery[flickr], collective.plonetruegallery[picasa]" or
  collective.plonetruegallery[all] --
  [jensens]

* removed logging statement in porltet js code
  [vangheem]

* fixed bug with upgrading older versions during version check
  [vangheem]

* fixed unicode decode error with picasa albums that have none-standard
  letters in them.
  [vangheem]


0.8.1a3 ~ December 3, 2009
--------------------------

* added gallery portlet
  [vangheem]


0.8a2
-----

* fixed slideshow gallery css so that the green bar does not get covered
  up by the gallery when logged in.
  [vangheem]

* fixed sub-gallery css issues
  [vangheem]

* fixed ordering of images in gallery--now gallery images reorder
  when they are reordered in the container.
  [vangheem]

* links now point to the view view of images if a user is logged in
  [vangheem]

* fixed ?start_image parameter to work with batching.
  [vangheem]

* highslide and fancybox slideshow will start slideshow automatically only if
  number of images fits in one batch page
  [do3cc]

* highslide image slides now have a title that consists of the image title
  and link to the image
  [do3cc]


0.8a1
-----
* removed Gallery content type
* allows you to display gallery for Folder, Large Folder, and Collections
* moved to using plone.app.z3cforms
* remove event subscriptions and do not cook basic galleries
* removed classic display type--don't feel like maintaining anymore..
* added fancybox and highslide display types
* slideshow 2 now pans without zooming in on image and distorting it
* added more styling to slideshow 2's type
* fixed issue with slideshow 2 gallery type where image would show up a little blurry because of image scaling...
* updated flickr size settings
* no longer support private picasa albums(I don't want to store passwords obviously...)

0.7.1
-----
* fixed tests
* added finnish translations[Ilja Everila]
* added translatable sub-images

0.7rc1
------
* added "Refresh Gallery" button in case you change a gallery and need to re-cook the gallery images before it automatically does it for you.  Especially useful for reordering of images in a basic gallery.
* added go to image support via url like /url/to/gallery?start_image=theTitle. Not exactly perfect, but should work most of the time.  No other way to know what image it is since I don't keep ids on flickr and picasa galleries.  make sure to url encode the title though.

0.7b2.4
-------
* because translations had .mo files, it broke some systems--removed.

0.7b2.3
-------
* added brazilian translation

0.7b2.1
-------
* updated french translation
* added norwegian translation(Espen Moe-Nilssen)
* added some message factories to places where it wasn't used

0.7b2
-----
* add css class to no images message

0.7b1
-----
* changed the small picasa gallery size to be 320x320

0.7a1.2
-------
* bug fixes
* gallery type registration changes

0.7a1.1
-------
* fixed bug that prevented subgalleries from being displayed [deo]
* made sure to always display the gallery images even when there are subgalleries in the current gallery [deo]
* removes dependency on simplejson and elementtree
* now flickrapi and gdata are optional add-ons
* added support for slideshow 2 - now gives option of what gallery type to use
* reorganization of gallery schema(simple)
* pre-fetches gallery images to speed rendering time(especially for flickr and picasa). Fetching occurs at a timed interval, can be setup to use clock server or can manually be fetched.
* css fixes
* better design for sub-galleries

0.6b2.4
-------
* fixed dependencies to be more flexible

0.6b2.3
-------
* fixed really dumb basic image sizing problem

0.6b2.2
-------
* added French translation(thanks to Sylvain Boureliou)

0.6b2.1
-------
* removed kss dependency
* fixed flickr issues with api version--just pinned the version number(should have done from the start)
* moved all javascript to portal_javascripts
* fixed safari bug when carousel is hidden
* packed all javascript
* even though this is beta, this is a recommended upgrade as there are many improvements and some major fixes
* implemented new timing mechanism

0.6b1.3
-------
* fixed bug with picasa galleries where it was retrieving all the galleries sometimes
* added better error handling

0.6b1.2
-------
* fixed picasa bugs

0.6b1
-----
* moved all gallery types to adapters.
* fixed opera support

0.5.3.2
-------
* plone 3.0 support fixes

0.5.2
-----
* fixed opera bug
* flickr gallery now supports name or id for user an sets

0.5b1
-----
* minor bug fixes

0.5b1
-----
* removed dependency of mooTools and smooth gallery
* dynamically grabs images
* better controls
* better cross browser support

0.4rc3
------
* added basic flickr support

0.4rc2
------
* refactored code to easily add new gallery types
* fails gracefully if gdata isn't installed
* Now you choose the gallery type

0.3 - Beta
----------
* added support for picasa web albums
* fixed a few bugs

.2beta-r67403 - Beta
--------------------
* added content type icons
* cleaned up gallery views

.1 - Initial
------------
* Initial release

